Package org.apache.synapse.transport.netty.sender

## Class Axis2HttpTransportSender

- java.lang.Object
- - org.apache.axis2.handlers.AbstractHandler
  - - org.apache.synapse.transport.netty.sender.Axis2HttpTransportSender

- All Implemented Interfaces:
    `org.apache.axis2.engine.Handler`, `org.apache.axis2.transport.TransportSender`
  Direct Known Subclasses:
    `Axis2HttpSSLTransportSender`

      public class Axis2HttpTransportSender
      extends org.apache.axis2.handlers.AbstractHandler
      implements org.apache.axis2.transport.TransportSender

  `Axis2HttpTransportSender` receives the outgoing axis2 `MessageContext`, convert it into a `HttpCarbonMessage` and deliver it to the Http Client connector.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler

      `org.apache.axis2.engine.Handler.InvocationResponse`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected TargetConfiguration` | `targetConfiguration` |

    - ### Fields inherited from class org.apache.axis2.handlers.AbstractHandler

      `handlerDesc`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Axis2HttpTransportSender()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanup​(org.apache.axis2.context.MessageContext messageContext)` |
    `void` | `handleException​(String msg)` |
    `void` | `handleException​(String s, Exception e)` |
    `void` | `init​(org.apache.axis2.context.ConfigurationContext configurationContext, org.apache.axis2.description.TransportOutDescription transportOutDescription)` |
    `org.apache.axis2.engine.Handler.InvocationResponse` | `invoke​(org.apache.axis2.context.MessageContext msgCtx)` |
    `void` | `stop()` |

    - ### Methods inherited from class org.apache.axis2.handlers.AbstractHandler

      `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.axis2.engine.Handler

      `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init`

    - ### Methods inherited from interface org.apache.axis2.transport.TransportSender

      `onAppError`

- - ### Field Detail

    - #### targetConfiguration

          protected TargetConfiguration targetConfiguration

  - ### Constructor Detail

    - #### Axis2HttpTransportSender

          public Axis2HttpTransportSender()

  - ### Method Detail

    - #### init

          public void init​(org.apache.axis2.context.ConfigurationContext configurationContext,
                           org.apache.axis2.description.TransportOutDescription transportOutDescription)
                    throws org.apache.axis2.AxisFault

      Specified by:
        `init` in interface `org.apache.axis2.transport.TransportSender`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### invoke

          public org.apache.axis2.engine.Handler.InvocationResponse invoke​(org.apache.axis2.context.MessageContext msgCtx)
                                                                    throws org.apache.axis2.AxisFault

      Specified by:
        `invoke` in interface `org.apache.axis2.engine.Handler`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### cleanup

          public void cleanup​(org.apache.axis2.context.MessageContext messageContext)

      Specified by:
        `cleanup` in interface `org.apache.axis2.transport.TransportSender`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `org.apache.axis2.transport.TransportSender`

    - #### handleException

          public void handleException​(String s,
                                      Exception e)
                               throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### handleException

          public void handleException​(String msg)
                               throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`